/** =======================================================
* IGROM - Industria Gráfica
* Author: Marco Antonio Gonzalez Jimenez
* Copyright 2024 All Rights Reserved
* Contact: imagrom-@hotmail.com
======================================================== **/


body {
    font-family: "Open Sans", sans-serif;
    color: #444444;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: "Open Sans", sans-serif;
}


/*--------------------------------------------------------------
# Back to top button
--------------------------------------------------------------*/
.back-to-top {
    position: fixed;
    visibility: hidden;
    opacity: 0;
    right: 15px;
    bottom: 15px;
    z-index: 996;
    background: linear-gradient(to bottom, #000066 0%, #0066ff 100%);
    width: 50px;
    height: 50px;
    border-radius: 50%;
    transition: all 0.4s;
}

.back-to-top i {
    font-size: 16px;
    color: #FBFCFC;
    line-height: 0;
}

.back-to-top:hover {
    background: linear-gradient(to top, #000066 0%, #0066ff 100%);
    color: #fff;
}

.back-to-top.active {
    visibility: visible;
    opacity: 1;
}

@media (max-width: 575px) {
    .back-to-top.active {
        visibility: hidden;
    }
}


/*--------------------------------------------------------------
# Header
--------------------------------------------------------------*/
#header {
    background: #000c36;
    transition: all 0.5s;
    z-index: 997;
    padding: 20px 0;
}

#header.header-scrolled {
    background-color: rgba(0, 12, 54, 0.95);
    box-shadow: 0px 2px 15px rgba(0, 0, 0, 0.1);
    padding: 12px 0;
}

#header .logo {
    width: auto;
    height: 60px;
    margin: 0;
    padding: 0;
}

#header .logo img {
    max-height: 60px;
}

@media (max-width: 991px) {
    #header {
        padding: 12px 0;
    }
}

/*--------------------------------------------------------------
  # Navigation Menu
  --------------------------------------------------------------*/
/**
  * Desktop Navigation 
  */
.navbar {
    padding: 0;
}

.navbar ul {
    margin: 0;
    padding: 0;
    display: flex;
    list-style: none;
    align-items: center;
}

.navbar li {
    position: relative;
}

.navbar a,
.navbar a:focus {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 0 10px 30px;
    font-family: "Raleway", sans-serif;
    font-size: 16px;
    font-weight: 700;
    color: #fff;
    white-space: nowrap;
    transition: 0.3s;
}

.navbar a i,
.navbar a:focus i {
    font-size: 12px;
    line-height: 0;
    margin-left: 5px;
}

.navbar a:hover,
.navbar .active,
.navbar .active:focus,
.navbar li:hover>a {
    color: #18d26e;
}

/**
  * Mobile Navigation 
  */
.mobile-nav-toggle {
    color: #fff;
    font-size: 28px;
    cursor: pointer;
    display: none;
    line-height: 0;
    transition: 0.5s;
}

.mobile-nav-toggle.bi-x {
    color: #fff;
}

@media (max-width: 991px) {
    .mobile-nav-toggle {
        display: block;
    }

    .navbar ul {
        display: none;
    }
}

.navbar-mobile {
    position: fixed;
    overflow: hidden;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    background: rgba(23, 32, 42, 0.8);
    transition: 0.3s;
    z-index: 999;
}

.navbar-mobile .mobile-nav-toggle {
    position: absolute;
    top: 15px;
    right: 15px;
}

.navbar-mobile ul {
    display: block;
    position: absolute;
    top: 55px;
    right: 15px;
    bottom: 15px;
    left: 15px;
    padding: 10px 0;
    border-radius: 10px;
    background-color: rgba(0, 12, 54, 0.8);
    overflow-y: auto;
    transition: 0.3s;
}

.navbar-mobile a,
.navbar-mobile a:focus {
    padding: 10px 20px;
    font-size: 15px;
    color: #fff;
}

.navbar-mobile a:hover,
.navbar-mobile .active,
.navbar-mobile li:hover>a {
    color: #18d26e;
}

.navbar-mobile .getstarted,
.navbar-mobile .getstarted:focus {
    margin: 15px;
    padding: 10px 15px;
}

/*--------------------------------------------------------------
# Hero Section
--------------------------------------------------------------*/
#hero {
    width: 100%;
    height: calc(119vh - 120px);
    background: url("/assets/img/fondo/1.gif") top center;
    background-size: cover;
    position: relative;
}

#hero:before {
    content: "";
    background: rgba(45, 53, 69, 0.7);
    position: absolute;
    bottom: 0;
    top: 0;
    left: 0;
    right: 0;
}

@media (min-width: 1024px) {
    #hero {
        background-attachment: fixed;
    }
}

@media (max-width: 768px) {
    #hero {
        height: 100vh;
    }
}

/*--------------------------------------------------------------
# Sections General
--------------------------------------------------------------*/
section {
    padding: 60px 0;
    overflow: hidden;
}

.section-bg {
    background-color: #EBEDEF;
}

.section-title {
    text-align: center;
    padding: 30px 0;
    position: relative;
}

.section-title h2 {
    font-size: 32px;
    font-weight: 700;
    text-transform: uppercase;
    margin-bottom: 20px;
    padding-bottom: 0;
    color: #000c36;
    position: relative;
    z-index: 2;
}

.section-title span {
    position: absolute;
    top: 30px;
    color: #D5DBDB;
    left: 0;
    right: 0;
    z-index: 1;
    font-weight: 700;
    font-size: 52px;
    text-transform: uppercase;
    line-height: 0;
}

@media (max-width: 575px) {
    .section-title h2 {
        font-size: 28px;
        margin-bottom: 15px;
    }

    .section-title span {
        font-size: 38px;
    }
}

/*--------------------------------------------------------------
# Services
--------------------------------------------------------------*/
.services .service-card {
    margin-bottom: 20px;
    overflow: hidden;
    text-align: center;
    border-radius: 8px;
    background: #fff;
    box-shadow: 0px 2px 15px rgba(65, 76, 100, 0.2);
    transition: all ease-in-out 0.3s;
}

.services .service-card .service-img {
    position: relative;
    overflow: hidden;
}

.services .service-card h4 {
    font-weight: 600;
    margin: 10px 0 15px 0;
    font-size: 22px;
}

.services .service-card h4 a {
    color: #000c36;
    transition: ease-in-out 0.3s;
    text-decoration: none;
}

.services .service-card ul {
    margin: 0 90px;
    padding: 0 10px;
    margin-bottom: 15px;
    list-style: none;
}

.services .service-card ul i {
    padding-right: 12px;
    color: #00229e;
    font-size: 14px;
    line-height: 1;
}

.services .service-card ul li {
    padding: 10px 0;
    display: flex;
    align-items: center;
    font-size: 14px;
}

.services .service-card:hover {
    border-color: #fff;
    box-shadow: 0px 0 35px 0 rgba(0, 0, 0, 0.08);
}

@media (max-width: 768px) {
    .services .service-card ul {
        margin: 0 160px;
        padding: 0 10px;
        margin-bottom: 10px;
        list-style: none;
    }
}

@media (max-width: 575px) {
    .services .service-card ul {
        margin: 0 45px;
        padding: 0 5px;
        margin-bottom: 10px;
        list-style: none;
    }
}

/*--------------------------------------------------------------
# Cta
--------------------------------------------------------------*/
.cta {
    background: #002253;
    background-size: cover;
    padding: 60px 0;
}

.cta h3 {
    color: #fff;
    font-size: 28px;
    font-weight: 700;
}

.cta p {
    color: #fff;
}

.cta .cta-btn {
    font-family: "Raleway", sans-serif;
    font-weight: 500;
    font-size: 16px;
    letter-spacing: 1px;
    display: inline-block;
    padding: 10px 35px;
    border-radius: 25px;
    transition: 0.5s;
    margin-top: 10px;
    border: 2px solid #fff;
    color: #fff;
    text-decoration: none;
}

.cta .cta-btn:hover {
    background: #fff;
    color: #002253
}

#about .btn-get-started {
    font-family: "Raleway", sans-serif;
    font-weight: 500;
    font-size: 15px;
    letter-spacing: 1px;
    display: inline-block;
    padding: 9px 35px;
    border-radius: 50px;
    transition: 0.5s;
    margin-top: 30px;
    margin-bottom: 30px;
    background: transparent;
    border: 2px solid #fff;
    color: #fff;
    text-decoration: none;
}

#about .btn-get-started:hover {
    background: #fff;
    color: #002253
}

/*Modal Content*/

.cta .modal .modal-dialog .modal-content {
    background: rgba(0, 12, 54, 0.95);
}

.cta .modal-dialog .modal-bg {
    background: #00229e;
}

.cta .modal-content .modal-header h5 {
    font-size: 23px;
    color: #fff;
    font-weight: bold;
}

.cta .modal-content .modal-body h6 {
    font-size: 18px;
    font-weight: bold;
    color: #25D366;
}

.cta .modal-content .modal-body p {
    font-size: 14px;
    color: #F2F2F2;
    text-align: justify;
}

.cta .modal-content .modal-body ul li {
    font-size: 14px;
    list-style: disc;
    list-style-position: outside;
    color: #F2F2F2;
}

.cta .modal-content .modal-footer .btn-bg {
    color: #fff;
    font-weight: bold;
    border: 2px solid #fff;
    background: transparent;
}

.cta .modal-content .modal-footer .btn-bg:hover {
    color: #000c36;
    background: #fff;
}

/*--------------------------------------------------------------
# Gallery
--------------------------------------------------------------*/
.carousel-container {
    position: relative;
}

.carousel-container .carousel-inner .carousel-item img {
    max-height: 800px;
    border-radius: 10px;
}

@media (max-width: 768px) {
    .carousel-indicators button {
        visibility: hidden;
    }
}

@media (max-width: 575px) {
    .carousel-indicators button {
        visibility: hidden;
    }
}

/*--------------------------------------------------------------
# Clientes
--------------------------------------------------------------*/
/* Agrega estilos personalizados si es necesario */
.imagen-columna {
    margin-bottom: 20px;
    /* Espaciado opcional entre las imágenes y las columnas */
    text-align: center;
    /* Centra las imágenes en las columnas */
    position: relative;
    /* Para posicionar el efecto al pasar el cursor */
}

.imagen-columna img {
    max-width: 100%;
    /* Para que las imágenes no sobrepasen el ancho de sus contenedores */
    transition: transform 0.3s ease;
    /* Agrega una transición suave al efecto */
}

.imagen-columna:hover img {
    transform: scale(1.1);
    /* Escala la imagen al 110% al pasar el cursor */
}

/*--------------------------------------------------------------
# Contact
--------------------------------------------------------------*/
.contact .info {
    border-top: 3px solid #000c36;
    border-bottom: 3px solid #000c36;
    padding: 30px;
    width: 100%;
    background-color: #f9f9fa;
}

.contact .info i {
    font-size: 20px;
    color: #000c36;
    float: left;
    width: 44px;
    height: 44px;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50px;
    transition: all 0.3s ease-in-out;
}

.contact .info h4 {
    padding: 0 0 0 60px;
    font-size: 22px;
    font-weight: 600;
    margin-bottom: 5px;
    color: #5f687b;
}

.contact .info p {
    padding: 0 0 10px 60px;
    margin-bottom: 20px;
    font-size: 15px;
    color: #949cac;
}

.contact .info .email:hover i,
.contact .info .address:hover i,
.contact .info .phone:hover i {
    background: #002253;
    color: #fff;
}

.contact .php-email-form {
    width: 100%;
    border-top: 3px solid #000c36;
    border-bottom: 3px solid #000c36;
    padding: 30px;
    background-color: #f9f9fa;
}

.contact .php-email-form .form-group {
    padding-bottom: 8px;
}

.contact .php-email-form .error-message {
    display: none;
    color: #fff;
    background: #ed3c0d;
    text-align: left;
    padding: 15px;
    font-weight: 600;
}

.contact .php-email-form .error-message br+br {
    margin-top: 25px;
}

.contact .php-email-form .sent-message {
    display: none;
    color: #fff;
    background: #18d26e;
    text-align: center;
    padding: 15px;
    font-weight: 600;
}

.contact .php-email-form .loading {
    display: none;
    background: #fff;
    text-align: center;
    padding: 15px;
}

.contact .php-email-form .loading:before {
    content: "";
    display: inline-block;
    border-radius: 50%;
    width: 24px;
    height: 24px;
    margin: 0 10px -6px 0;
    border: 3px solid #18d26e;
    border-top-color: #eee;
    animation: animate-loading 1s linear infinite;
}

.contact .php-email-form input,
.contact .php-email-form textarea {
    border-radius: 0;
    box-shadow: none;
    font-size: 14px;
    border-radius: 4px;
}

.contact .php-email-form input:focus,
.contact .php-email-form textarea:focus {
    border-color: #000066;
}

.contact .php-email-form input {
    height: 44px;
}

.contact .php-email-form textarea {
    padding: 10px 12px;
}

.contact .php-email-form button[type=submit] {
    background: transparent;
    border: 0;
    padding: 10px 24px;
    color: #002253;
    transition: 0.4s;
    border: 2px solid #002253;
    border-radius: 50px;
}

.contact .php-email-form button[type=submit]:hover {
    background: #000c36;
    color: #fff;
}

@keyframes animate-loading {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

/*--------------------------------------------------------------
# Footer
--------------------------------------------------------------*/
/* Agrega estilos personalizados si es necesario */
#footer {
    color: #fff;
    font-size: 14px;
    background: #000c36;
    background-size: cover;
}

#footer .footer-top {
    padding: 60px 0 30px 0;
    position: relative;
}

#footer .footer-top .footer-contact {
    margin-bottom: 30px;
}

#footer .footer-top .footer-contact img {
    max-width: 180px;
    margin: 0 0 15px 0;
    padding: 2px 0 2px 0;
}

#footer .footer-top .footer-contact p {
    font-size: 14px;
    line-height: 24px;
    margin-bottom: 0;
    font-family: "Roboto", sans-serif;
    color: #fff;
}

#footer .footer-top h4 {
    font-size: 16px;
    font-weight: bold;
    color: #fff;
    position: relative;
    padding-bottom: 12px;
}

#footer .footer-top .footer-links {
    margin-bottom: 30px;
}

#footer .footer-top .footer-links ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

#footer .footer-top .footer-links ul i {
    padding-right: 8px;
    color: #18d26e;
    font-size: 10px;
    line-height: 1;
}

#footer .footer-top .footer-links ul li {
    padding: 10px 0;
    display: flex;
    align-items: center;
}

#footer .footer-top .footer-links ul li:first-child {
    padding-top: 0;
}

#footer .footer-top .footer-links ul a {
    color: #fff;
    transition: 0.3s;
    display: inline-block;
    line-height: 1;
    text-decoration: none;
}

#footer .footer-top .footer-links ul a:hover {
    text-decoration: underline;
    color: #18d26e;
}

#footer .footer-top .social-links a {
    font-size: 18px;
    display: inline-block;
    background: transparent;
    color: #fff;
    line-height: 1;
    padding: 8px 0;
    margin-right: 4px;
    border: 1px solid;
    border-radius: 50%;
    text-align: center;
    width: 36px;
    height: 36px;
    transition: 0.3s;
}

#footer .footer-top .social-links a:hover {
    color: #fff;
    text-decoration: none;
}

#footer .footer-top .social-links a:hover:nth-child(1) {
    background: #1771e6;
}

#footer .footer-top .social-links a:hover:nth-child(2) {
    background: linear-gradient(to right, #833ab4, #fd1d1d, #fcb045);
}

#footer .footer-top .social-links a:hover:nth-child(3) {
    background: #25D366;
}

#footer .footer-top .social-links a:hover:nth-child(4) {
    background: #0072c6;
}

#footer .copyright-wrap {
    border-top: 2px solid #18d26e;
}

@media (max-width: 768px) {

    #footer .copyright {
        float: none;
        text-align: center;
        padding: 2px 0;
    }
}